
SAMPLES_DIR=../../../Samples/cut/
HOST=ludwig

function run_analysis() {
    ALGS=$1
    FILE="host=${HOST}.csv"
    OUT="${ALGS}/${FILE}"

    SRC="${SAMPLES_DIR}/${ALGS}/"

    echo "Running analysis $SRC -> $OUT"

    # no filtering for SCHED2, RELEASE, and TICK
    analyze -i 0 ${SRC}/*overhead=SCHED2.sbn   > $OUT
    analyze -i 0 ${SRC}/*overhead=RELEASE.sbn >> $OUT
    analyze -i 0 ${SRC}/*overhead=TICK.sbn    >> $OUT

    # manual filtering for SCHED
    analyze -i 0 -o "${SRC}/sched-outliers.csv" \
	${SRC}/*overhead=SCHED.sbn    >> $OUT

    # IQR with extent=12 for CXS, RELEASE-LATENCY, and SEND-RESCHEd
    analyze -i 12 ${SRC}/*overhead={CXS,RELEASE-LATENCY,SEND-RESCHED}.sbn  >> $OUT

    cd $ALGS
    extract-trends.sh "${FILE}"
    cd ..
}


DIRS=$*

while [ ! -z "$1" ]
do
    run_analysis $1
    shift
done
