#!/bin/bash

FILE=$1

if [ -z "$FILE" ]
then
    echo "Usage: $0 <combined overheads file>"
    exit 1
fi

OVERHEADS=`cat $FILE | awk '/^[^#]/ { print $2 }' | sed 's/,//' | sort | uniq`
SCHEDULERS=`cat $FILE | awk '/^[^#]/ { print $1 }' | sed 's/,//' | sort | uniq`

#echo "(ii) Dataset contains $OVERHEADS for $SCHEDULERS."
#exit 1

for S in $SCHEDULERS
do
    for O in $OVERHEADS
    do
	DATAFILE="otrend_scheduler=${S}_overhead=${O}_${FILE}"
	echo $S $O '->' $DATAFILE
	egrep "${S},[ ]*${O}," $FILE  | sort -n -k 3 > $DATAFILE
    done
done
